class FadeToTransition < Rustle::Transition
  def name
    :fade_to
  end

  def setup(opts)
    @new_color = opts[:color]
  end

  # Return a color object
  def animate(led_index, start_color, frame_num)
    start_color.transition_to @new_color, (frame_num.to_f+1) / @total_frames.to_f
  end
end
